Package org.kapott.cryptalgs

## Class MDC2

- java.lang.Object
- - java.security.MessageDigestSpi
  - - org.kapott.cryptalgs.MDC2

    public final class MDC2
    extends java.security.MessageDigestSpi

### Constructor Summary

Constructors
`MDC2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected byte[]` `engineDigest()`
`protected int` `engineDigest​(byte[] buf, int offset, int len)`
`protected int` `engineGetDigestLength()`
`protected void` `engineReset()`
`protected void` `engineUpdate​(byte input)`
`protected void` `engineUpdate​(byte[] input, int offset, int len)`

### Methods inherited from class java.security.MessageDigestSpi

`clone, engineUpdate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MDC2

    public MDC2()

### Method Detail

#### engineDigest

    protected byte[] engineDigest()

Specified by:
  `engineDigest` in class `java.security.MessageDigestSpi`

#### engineDigest

    protected int engineDigest​(byte[] buf,
                               int offset,
                               int len)

Overrides:
  `engineDigest` in class `java.security.MessageDigestSpi`

#### engineGetDigestLength

    protected int engineGetDigestLength()

Overrides:
  `engineGetDigestLength` in class `java.security.MessageDigestSpi`

#### engineReset

    protected void engineReset()

Specified by:
  `engineReset` in class `java.security.MessageDigestSpi`

#### engineUpdate

    protected void engineUpdate​(byte[] input,
                                int offset,
                                int len)

Specified by:
  `engineUpdate` in class `java.security.MessageDigestSpi`

#### engineUpdate

    protected void engineUpdate​(byte input)

Specified by:
  `engineUpdate` in class `java.security.MessageDigestSpi`